Subject: Re: [PATCH v2 2/2] [iproute2/tc] hfsc: add link layer overhead adaption

From: Andy Furniss <[email-masked]>
Date: Tue, 24 Jun 2008 11:14:40 +0100

Jussi Kivilinna wrote:
> Patch adds 'mpu', 'mtu', 'overhead' and 'linklayer' options to hfsc. These
> options are used to create size table for sch_hfsc. Size table is only used
> and passed to kernel if these options are used.

> +	unsigned short overhead = 0, mpu = 0;

overhead may need to be negative because skb->len on eth is payload + 14

Andy.